be.ehealth.technicalconnector.config.impl

## Class AbstractConfigurationImpl

- java.lang.Object
- - be.ehealth.technicalconnector.config.impl.AbstractConfigurationImpl

- All Implemented Interfaces:
    Configuration
  Direct Known Subclasses:
    ConfigurationImpl, ConfigurationWithSessionCache

      public abstract class AbstractConfigurationImpl
      extends Object
      implements Configuration

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractConfigurationImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsKey(String key)` Property contains key.
    `Boolean` | `getBooleanProperty(String key, Boolean defaultValue)` Gets the boolean property.
    `Duration` | `getDurationProperty(String key, Long defaultValue, TimeUnit defaultTimeUnit)`
    `<T extends Enum<T>> T` | `getEnumProperty(String key, T defaultValue)`
    `Integer` | `getIntegerProperty(String key, Integer defaultValue)` Gets the integer property.
    `Long` | `getLongProperty(String key, Long defaultValue)` Gets the long property.
    `List<String>` | `getMatchingProperties(String rootKey)` Gets the properties that match a root key.
    `String` | `getProperty(String key)` Gets the property by Key from the DEFAULT_CONFIG.
    `URL` | `getURLProperty(String key)` Gets the uRL property.
    `boolean` | `hasDurationProperty(String key)`
    `boolean` | `hasMatchingProperty(String rootKey)`
    `boolean` | `hasMatchingProperty(String rootKey, int i)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface be.ehealth.technicalconnector.config.Configuration

      `getCurrentConfig, getProperty, hasProperty, invalidate, isReloading, reload, setProperty`

- - ### Constructor Detail

    - #### AbstractConfigurationImpl

          public AbstractConfigurationImpl()

  - ### Method Detail

    - #### getEnumProperty

          public <T extends Enum<T>> T getEnumProperty(String key,
                                                       T defaultValue)

      Specified by:
        `getEnumProperty` in interface `Configuration`

    - #### getLongProperty

          public Long getLongProperty(String key,
                                      Long defaultValue)

      Description copied from interface: `Configuration`
      Gets the long property.
      Specified by:
        `getLongProperty` in interface `Configuration`
      Parameters:
        `key` - the key
        `defaultValue` - the default value
      Returns:
        the long property

    - #### getIntegerProperty

          public Integer getIntegerProperty(String key,
                                            Integer defaultValue)

      Description copied from interface: `Configuration`
      Gets the integer property.
      Specified by:
        `getIntegerProperty` in interface `Configuration`
      Parameters:
        `key` - the key
        `defaultValue` - the default value
      Returns:
        the integer property

    - #### getBooleanProperty

          public Boolean getBooleanProperty(String key,
                                            Boolean defaultValue)

      Description copied from interface: `Configuration`
      Gets the boolean property.
      Specified by:
        `getBooleanProperty` in interface `Configuration`
      Parameters:
        `key` - the key
        `defaultValue` - the default value
      Returns:
        the boolean property

    - #### getDurationProperty

          public Duration getDurationProperty(String key,
                                              Long defaultValue,
                                              TimeUnit defaultTimeUnit)

      Specified by:
        `getDurationProperty` in interface `Configuration`

    - #### hasDurationProperty

          public boolean hasDurationProperty(String key)

      Specified by:
        `hasDurationProperty` in interface `Configuration`

    - #### getURLProperty

          public URL getURLProperty(String key)

      Description copied from interface: `Configuration`
      Gets the uRL property.
      Specified by:
        `getURLProperty` in interface `Configuration`
      Parameters:
        `key` - the string
      Returns:
        the uRL property

    - #### getProperty

          public String getProperty(String key)

      Description copied from interface: `Configuration`
      Gets the property by Key from the DEFAULT_CONFIG.
      Specified by:
        `getProperty` in interface `Configuration`
      Parameters:
        `key` - the key
      Returns:
        the property

    - #### containsKey

          public boolean containsKey(String key)

      Description copied from interface: `Configuration`
      Property contains key.
      Specified by:
        `containsKey` in interface `Configuration`
      Parameters:
        `key` - the key
      Returns:
        true, if successful

    - #### hasMatchingProperty

          public boolean hasMatchingProperty(String rootKey)

      Specified by:
        `hasMatchingProperty` in interface `Configuration`

    - #### hasMatchingProperty

          public boolean hasMatchingProperty(String rootKey,
                                             int i)

    - #### getMatchingProperties

          public List<String> getMatchingProperties(String rootKey)

      Description copied from interface: `Configuration`
      Gets the properties that match a root key.
      Specified by:
        `getMatchingProperties` in interface `Configuration`
      Parameters:
        `rootKey` - the root key
      Returns:
        the properties

Connector Packaging generic 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.